Requiring [goog] breaks an :advanced build, but the compiler exits successfully

Description

A single file with the following in it is enough to break a build:

with this error

however the ClojureScript compiler exits successfully without throwing an error. The build looks successful, but the file produced doesn't work. Should the ClojureScript compiler throw on these kinds of errors, or otherwise indicate failure?

Environment

None

Assignee

David Nolen

Reporter

Daniel Compton

Labels

None

Approval

Accepted

Patch

Code and Test

Affects versions

Priority

Minor
Configure